Name:           python-devsetgo-lib
Version:        2025.4.17.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        DevSetGo Library is a Python library offering reusable functions for efficient coding. It includes file operations, calendar utilities, pattern matching, advanced logging with loguru, FastAPI endpoints, async database handling, and email validation. Designed for ease of use and versatility, it's a valuable tool for Python developers.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/devsetgo/devsetgo_lib
Source:         %{pypi_source devsetgo_lib}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'devsetgo-lib' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-devsetgo-lib
Summary:        %{summary}

%description -n python3-devsetgo-lib %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-devsetgo-lib all,fastapi,mssql,oracle,postgres,sqlite


%prep
%autosetup -p1 -n devsetgo_lib-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,fastapi,mssql,oracle,postgres,sqlite


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-devsetgo-lib -f %{pyproject_files}


%changelog
%autochangelog